Failure on upgrade of OPMS from version 10.0.15 to 10.2.1

book

Article ID: 142264

calendar_today

Updated On:

Products

CA App Synthetic Monitor NIMSOFT CLOUD USER EXPERIENCE MONITOR DX Application Performance Management

Issue/Introduction

Installing ASM OPMS by  running the asm-opms-10.2.1.0.bin,  the OPMS install/upgrade fails.

Cause

 Per Engineering, the problem seems to be in the yum repository - puppet was not able to install ASM packages. This can be caused e.g. by strict firewall.

Our repository is added during the installation and is removed afterwards. The reason is that if users upgrade their station our packages are not upgraded. Our packages must also be configured with puppet and simple upgrade would most likely break the station. That's why we remove the repository after the installation. The repository is located here:


yum.asm.broadcom.com

There are also dockers downloaded (from several sources) and the station is registered (on api.asm.ca.com).

Environment

Release : 10.0

Component : CA APP SYNTHETIC MONITOR (WATCHMOUSE)

Resolution

Workaround:

Rather than opening the repositories one by one, should open ports 80 and 443 for outgoing traffic before the installation and close it once the installation is complete.